org.apache.geode.cache.configuration

## Class SerializationRegistrationType.Instantiator

- java.lang.Object
- - org.apache.geode.cache.configuration.SerializationRegistrationType.Instantiator

- Enclosing class:
    SerializationRegistrationType

      public static class SerializationRegistrationType.Instantiator
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
             </sequence>
             <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `className`
    `protected java.lang.String` | `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Instantiator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassName()` Gets the value of the className property.
    `java.lang.String` | `getId()` Gets the value of the id property.
    `void` | `setClassName(java.lang.String value)` Sets the value of the className property.
    `void` | `setId(java.lang.String value)` Sets the value of the id property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### className

          protected java.lang.String className

    - #### id

          protected java.lang.String id

  - ### Constructor Detail

    - #### Instantiator

          public Instantiator()

  - ### Method Detail

    - #### getClassName

          public java.lang.String getClassName()

      Gets the value of the className property.
      Returns:
        possible object is `String`

    - #### setClassName

          public void setClassName(java.lang.String value)

      Sets the value of the className property.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public java.lang.String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(java.lang.String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`